Subject: Re: bug#24237: 24.5; (elisp)`Extended Menu Items', :filter warning

From: Stefan Kangas <[email-masked]>
Date: Sat, 19 Dec 2020 16:05:29 -0800

Drew Adams <[email-masked]> writes:

>> >    a. You can bind an extended menu item that uses
>> >       :filter to a keyboard key, to give it a
>> >       dynamic binding (explaining what that means
>> >       with an example).
>>
>> IMO this is a kludge that we don't need to document.
>
> It is indeed a kludge/workaround/hack.

I agree that this kludge shouldn't be documented.  It is very strange to
bind keys to menu-bindings just for :filter, and if we document it we in
effect say that this is the preferred way of doing this stuff.

> It is also quite useful.  If you refuse to elevate it
> to doc-worthiness, then please change this bug to an
> enhancement request to provide the same feature
> _without_ having to use `menu-item' with :filter.
>
> Otherwise, I will I guess submit such an enhancement
> request.  Elisp users shouldn't have to resort to an
> undocumented kludge to get this useful behavior.

It makes sense to me to file such a feature request.